package com.ruoyi.dxp.dto.redis;

import java.io.Serializable;

/**
 * 服务缓存redis对象
 */
public class RedisServiceCacheDto implements Serializable {
    private static final long serialVersionUID = 1L;

    private Long id;

    private RedisServiceCacheServiceConfigDto serviceConfig;

    private RedisServiceCacheDbConfigDto dbConfig;

    private RedisServiceCacheCycleDto cacheCycle;

    private String mode;

    private String addField;

    private String pageField;

    private String pageSizeField;

    private String searchField;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public RedisServiceCacheServiceConfigDto getServiceConfig() {
        return serviceConfig;
    }

    public void setServiceConfig(RedisServiceCacheServiceConfigDto serviceConfig) {
        this.serviceConfig = serviceConfig;
    }

    public RedisServiceCacheDbConfigDto getDbConfig() {
        return dbConfig;
    }

    public void setDbConfig(RedisServiceCacheDbConfigDto dbConfig) {
        this.dbConfig = dbConfig;
    }

    public RedisServiceCacheCycleDto getCacheCycle() {
        return cacheCycle;
    }

    public void setCacheCycle(RedisServiceCacheCycleDto cacheCycle) {
        this.cacheCycle = cacheCycle;
    }

    public String getMode() {
        return mode;
    }

    public void setMode(String mode) {
        this.mode = mode;
    }

    public String getAddField() {
        return addField;
    }

    public void setAddField(String addField) {
        this.addField = addField;
    }

    public String getPageField() {
        return pageField;
    }

    public void setPageField(String pageField) {
        this.pageField = pageField;
    }

    public String getPageSizeField() {
        return pageSizeField;
    }

    public void setPageSizeField(String pageSizeField) {
        this.pageSizeField = pageSizeField;
    }

    public String getSearchField() {
        return searchField;
    }

    public void setSearchField(String searchField) {
        this.searchField = searchField;
    }
}
